Package org.eclipse.net4j.signal

## Class AcknowledgeCompressedStringsRequest

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalActor
    - - org.eclipse.net4j.signal.Request
      - - org.eclipse.net4j.signal.AcknowledgeCompressedStringsRequest

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class AcknowledgeCompressedStringsRequest
      extends Request

  Since:
    4.7
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AcknowledgeCompressedStringsRequest​(SignalProtocol<?> protocol, java.util.Collection<java.lang.Integer> acknowledgements)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `requesting​(org.eclipse.net4j.util.io.ExtendedDataOutputStream out)` |

    - ### Methods inherited from class org.eclipse.net4j.signal.Request

      `sendAsync`

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalActor

      `execute`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AcknowledgeCompressedStringsRequest

          public AcknowledgeCompressedStringsRequest​(SignalProtocol<?> protocol,
                                                     java.util.Collection<java.lang.Integer> acknowledgements)

  - ### Method Detail

    - #### requesting

          protected void requesting​(org.eclipse.net4j.util.io.ExtendedDataOutputStream out)
                             throws java.lang.Exception

      Specified by:
        `requesting` in class `Request`
      Throws:
        `java.lang.Exception`